Capítulo 2. Fire up GIMP
| Parte I. Primeiros passos |

## Capítulo 2. Fire up GIMP

## 1. Executando o GIMP

Usually you start GIMP either by clicking an icon (if your system is set up to provide you with one), or by typing gimp on a command line. If you have multiple versions of GIMP installed, you may need to type gimp-2.10 to get the newest version. You can, if you want, provide a list of image file names on the command line after the program name so that GIMP automatically opens those files after it starts. It is also possible, though, to open files from within GIMP once it is running.

Most operating systems support file associations, which associates a class of files (as determined by their filename extension, such as .jpg) with a corresponding application (such as GIMP). When image files are properly “associated” to GIMP, you can double click an image to open it in GIMP.

### 1.1. Plataformas conhecidas

GIMP is the most widely supported image manipulation program available today. The platforms on which GIMP is known to work include:

GNU/Linux™, Apple macOS™, Microsoft Windows™, OpenBSD™, NetBSD™, FreeBSD™, Solaris™, SunOS™, AIX™, HP-UX™, Tru64™, Digital UNIX™, OSF/1™, IRIX™, OS/2™, and BeOS™.

GIMP is easily ported to other operating systems because of its source code availability. For further information visit the GIMP developers homepage. [GIMP-DEV].

### 1.2. Idioma

GIMP automatically detects and uses the system language. In the unlikely event that language detection fails, or if you want to use a different language, you can change the language used in: Edit → Preferences, then go to the Interface section; Language can be set at the top.

Você também pode usar:

No Linux

  In LINUX: in console mode, type `LANGUAGE=en gimp` or `LANG=en gimp` replacing en with fr, de, ... according to the language you want. Background: Using `LANGUAGE=en` sets an environment variable for the executed program `gimp`.

Under Windows

  Control Panel → System → Advanced → Environment button in “System Variables” area: Add button: Enter LANG for Name and fr or de... for Value. Watch out! You have to click OK three successive times to validate your choice.

  If you change languages often, you can create a batch file to change the language. Open NotePad. Type the following commands (for French for instance):

  `set lang=fr
  start gimp-2.10.exe`

  Save this file as `GIMP-FR.BAT` (or another name, but always with a `.BAT` extension). Create a shortcut and drag it to your desktop.

  Outra possibilidade no Windows XP: Iniciar → Programas → GTK Runtime Environment Então Selecione a linguagem e selecione a linguagem que você deseja na lista flutuante.

Under Apple macOS

  From System Preferences, click the International icon. In the Language tab, the desired language should be the first in the list.

Outra instância GIMP

  Use `-n` to run multiple instances of GIMP. For example, use `gimp-2.10` to start GIMP in the default system language, and `LANGUAGE=en gimp-2.10 -n` to start another instance of GIMP in English; this is very useful for translators.

### 1.3. Argumentos da Linha de Comando

Although arguments are not required when starting GIMP, the most common arguments are shown below. On a Unix system, you can use `man gimp` for a complete list.

Command line arguments must be in the command line that you use to start GIMP as gimp-2.10 [OPTION...] [FILE|URI...].

-?, --help

  Exibe uma lista de todas as opções de linha de comando.

--help-all

  Mostra todas as opções de ajuda.

--help-gtk

  Mostrar as opções do GTK+.

-v, --version

  Imprime a versão do GIMP e sai.

--license

  Mostrar informações de licença e sai.

--verbose

  Mostrar as mensagens de inicialização em detalhes.

-n, --new-instance

  Iniciar uma nova instância do GIMP.

-a, --as-new

  Abre as imagens como se fossem novas.

-i, --no-interface

  Executa sem uma interface de usuário, por exemplo, para se executar um script automaticamente, junto com a função --batch

-d, --no-data

  Não carrega texturas, degradês, paletas ou pincéis. Muitas vezes, útil em situações não-interativas, onde o tempo de inicialização deve ser minimizado.

-f, --no-fonts

  Não carrega nenhuma fonte (tipográfica). Isso é útil para carregar o GIMP mais rápido para os scripts que não utilizam fontes, ou para encontrar problemas relacionados a fontes com problemas que possam fazer o GIMP travar.

-s, --no-splash

  Não mostra a tela inicial durante a inicialização.

--no-shm

  Não use memória compartilhada entre o GIMP e plug-ins.

--no-cpu-accel

  Não use funções especiais de aceleração de CPU. Útil para encontrar ou desativar bugs das funções aceleradas em hardware.

--session=`nome`

  Use um arquivo `sessionrc` diferente para esta sessão doGIMP. O nome de sessão dado é anexado ao nome do arquivo padrão - `sessionrc`.

--gimprc=`Nome do arquivo`

  Use um arquivo `gimprc` alternativo em vez do padrão. O arquivo `gimprc` contém um registro de suas preferências. Útil nos casos em que os caminhos dos plugins ou características da máquina possam ser diferentes, ou para ter diferentes configurações dependendo do tipo de trabalho que você vai fazer.

--system-gimprc=`Nome do arquivo`

  Usa um arquivo gimprc alternativo, em vez do gimprc do sistema.

-b, --batch=`comandos`

  Executa o conjunto de comandos dados não interativamente. O conjunto de comandos é tipicamente na forma de um script que pode ser executado por uma das extensões de script do GIMP. Quando o comando é `-`, os comandos são lidos da entrada padrão. Pode ser usado em conjunto com a opção --no-interface

--batch-interpreter=`proc`

  Especificar o procedimento a usar para processar os comandos de lote. O procedimento padrão é o Script-Fu.

--console-messages

  Do not display dialog boxes on errors or warnings. Print the messages on the console instead.

--pdb-compat-mode=`modo`

  Modo de compatibilidade do PDB. Os modos são "off", "on", "warn" (desligado, ligado, aviso). O padrão é "aviso".

--stack-trace-mode=`modo`

  Depurar no caso de uma falha. Os modos são "never", "query", "always" (nunca, consultar, sempre)

--debug-handlers

  Habilita manipuladores de sinais de depuração não-fatais. Útil para depuração do GIMP.

--g-fatal-warnings

  Make all warnings fatal. Useful for debugging.

--dump-gimprc

  Imprime um arquivo gimprc com as configurações padrão. Útil se você estragou o seu arquivo gimprc.

--display=`display`

  Use o display X designado (não se aplica a todas as plataformas).

--show-playground

  Show a preferences page with experimental features.

2. What's new in GIMP |  | 2. Iniciando o GIMP pela primeira vez

Report a bug in GIMP Report a documentation error